/*
 * Hibernate Search, full-text search for your domain model
 *
 * License: GNU Lesser General Public License (LGPL), version 2.1 or later
 * See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
 */
package org.hibernate.search.mapper.pojo.work.spi;

import java.util.Collection;
import java.util.concurrent.CompletableFuture;

public interface PojoMappingWorkExecutor {

	CompletableFuture<?> optimize(Collection<Class<?>> types);

	CompletableFuture<?> purge(Collection<Class<?>> types, String tenantId);

	CompletableFuture<?> flush(Collection<Class<?>> types);

}
